# LongLiteral
Date: 2015-05-12

de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement

## Class LongLiteral

- java.lang.Object
- - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement.literal.Literal
          - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement.LongLiteral

All Implemented Interfaces:
  IItemWithOffset, Typeable

    public class LongLiteral
    extends Literal

### Field Summary

Fields
`private long` `Long`
`protected static Logger` `parserlog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`usedid`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`inferencelog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`offset, type`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`LongLiteral()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `get_Long()`
`java.lang.String` `get_Name()`
`Menge<SyntaxTreeNode>` `getChildren()`
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `set_Long(long i)`
`java.lang.String` `toString()` Author: Martin PlÃ¯Â¿Â½micke
`ConstraintsSet` `TYPEExpr(TypeAssumptions assumptions)`
`void` `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Literal

`getPrimitiveFlag, setPrimitiveFlag`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TYPEStmt`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`getTypeLineNumber, getTypeName`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### Long

    private long Long

#### parserlog

    protected static Logger parserlog

### Constructor Detail

#### LongLiteral

    public LongLiteral()

### Method Detail

#### set_Long

    public void set_Long(long i)

#### get_Long

    public long get_Long()

#### get_Name

    public java.lang.String get_Name()

Specified by:
  `get_Name` in class `Expr`

#### toString

    public java.lang.String toString()

Author: Martin PlÃ¯Â¿Â½micke

Overrides:
  `toString` in class `java.lang.Object`
Returns:

#### wandleRefTypeAttributes2GenericAttributes

    public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                          Menge<GenericTypeVar> genericMethodParameters)

Specified by:
  `wandleRefTypeAttributes2GenericAttributes` in class `Statement`

#### TYPEExpr

    public ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

Specified by:
  `TYPEExpr` in class `Expr`

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Specified by:
  `printJavaCode` in class `Statement`

#### getChildren

    public Menge<SyntaxTreeNode> getChildren()

Specified by:
  `getChildren` in class `SyntaxTreeNode`